ApiTimeSeriesResponse (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiTimeSeriesResponse

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiTimeSeriesResponse

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiTimeSeriesResponse
      extends Object

  The time series response for a time series query.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiTimeSeriesResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiTimeSeriesResponse` | `addTimeSeriesItem(ApiTimeSeries timeSeriesItem)`
    `ApiTimeSeriesResponse` | `addWarningsItem(String warningsItem)`
    `boolean` | `equals(Object o)`
    `List<ApiTimeSeries>` | `getTimeSeries()` The time series data for this single query response.
    `String` | `getTimeSeriesQuery()` The query for this single query response.
    `List<String>` | `getWarnings()` The warnings for this single query response.
    `int` | `hashCode()`
    `void` | `setTimeSeries(List<ApiTimeSeries> timeSeries)`
    `void` | `setTimeSeriesQuery(String timeSeriesQuery)`
    `void` | `setWarnings(List<String> warnings)`
    `ApiTimeSeriesResponse` | `timeSeries(List<ApiTimeSeries> timeSeries)`
    `ApiTimeSeriesResponse` | `timeSeriesQuery(String timeSeriesQuery)`
    `String` | `toString()`
    `ApiTimeSeriesResponse` | `warnings(List<String> warnings)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiTimeSeriesResponse

          public ApiTimeSeriesResponse()

  - ### Method Detail

    - #### timeSeries

          public ApiTimeSeriesResponse timeSeries(List<ApiTimeSeries> timeSeries)

    - #### addTimeSeriesItem

          public ApiTimeSeriesResponse addTimeSeriesItem(ApiTimeSeries timeSeriesItem)

    - #### getTimeSeries

          public List<ApiTimeSeries> getTimeSeries()

      The time series data for this single query response.
      Returns:
        timeSeries

    - #### setTimeSeries

          public void setTimeSeries(List<ApiTimeSeries> timeSeries)

    - #### warnings

          public ApiTimeSeriesResponse warnings(List<String> warnings)

    - #### addWarningsItem

          public ApiTimeSeriesResponse addWarningsItem(String warningsItem)

    - #### getWarnings

          public List<String> getWarnings()

      The warnings for this single query response.
      Returns:
        warnings

    - #### setWarnings

          public void setWarnings(List<String> warnings)

    - #### timeSeriesQuery

          public ApiTimeSeriesResponse timeSeriesQuery(String timeSeriesQuery)

    - #### getTimeSeriesQuery

          public String getTimeSeriesQuery()

      The query for this single query response.
      Returns:
        timeSeriesQuery

    - #### setTimeSeriesQuery

          public void setTimeSeriesQuery(String timeSeriesQuery)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.